apiVersion: apps/v1
kind: Deployment
metadata:
  name: gibz-rally
spec:
  replicas: 1
  selector:
    matchLabels:
      app: gibz-rally
  template:
    metadata:
      labels:
        app: gibz-rally
    spec:
      serviceAccountName: gibzrally
      imagePullSecrets:
        - name: gitlab-registry-credentials
      containers:
        - name: gibz-rally
          image: registry.gitlab.com/gibz-mobile-app/backend/gibz-rally:latest
          env:
            - name: ConnectionStrings__GibzRallyMySql
              valueFrom:
                secretKeyRef:
                  name: gibzrally-db
                  key: connectionString
            - name: Authentication__JwtBearer__MetadataAddress
              value: "https://auth.gibz-app.ch/.well-known/openid-configuration"
          ports:
            - containerPort: 8080
              name: gibz-rally-app
          resources:
            requests:
              cpu: "250m"
              memory: "0.5Gi"
          readinessProbe:
            httpGet:
              path: health/readiness
              port: gibz-rally-app
        - name: cloud-sql-proxy
          # It is recommended to use the latest version of the Cloud SQL proxy
          # Make sure to update on a regular schedule!
          image: gcr.io/cloud-sql-connectors/cloud-sql-proxy:2.8
          args:
            - "gibz-app:europe-west6:gibz-app"
          securityContext:
            # The default Cloud SQL proxy image runs as the
            # "nonroot" user and group (uid: 65532) by default.
            runAsNonRoot: true
          resources:
            requests:
              cpu: "250m"
              memory: "0.5Gi"
---
apiVersion: v1
kind: Service
metadata:
  name: gibz-rally
  annotations:
    cloud.google.com/backend-config: '{"default": "default-backend-config"}'
spec:
  type: NodePort
  selector:
    app: gibz-rally
  ports:
    - name: gibz-rally-svc
      protocol: TCP
      port: 80
      targetPort: gibz-rally-app
